GET
/vault/exit/attestationsList Exit Attestations
Returns the signed receipts recording that the project's keys were destroyed.
Verify each signature with Get Signing Keys.
Parameters
| projectId * | query | The project's id. |
Responses
| HTTP | K9O Code | Description |
|---|---|---|
| 200 | The project's signed receipts. | |
| 401 | The request carries no authenticated caller. | |
| 500 | An internal error. Retry later. |
Response body (200)
TypeScript
// const k9o = new K9o({ orgSlug: 'playground', projectSlug: 'storefront', apiKey: 'k9o_…' })
const { data } = await k9o.exit.attestations.list()Showing example in TypeScript
Response example (200)
[
{
"actorId": "usr_7Hq2LmN9pR4s",
"canonicalPayloadBytes": "{\"keyId\":\"vkey_7Rt2Wq9LxP4m\",\"newVersion\":4,\"previousVersion\":3}",
"eventId": "5b0e8f3a-2c1d-4e7b-9a6f-0d1c2b3a4e5f",
"eventType": "CUSTODY_MODE_TRANSITION",
"hash": "60303ae22b998861bce3b28f33eec1be758a213c86c93c076dbe9f558c11c752",
"orgId": "org_8kP3wQ9zLm2X",
"payload": {
"keyId": "vkey_7Rt2Wq9LxP4m",
"previousVersion": 3,
"newVersion": 4
},
"previousHash": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"projectId": "3f2b8c1e-5d4a-4e6f-9a7b-1c2d3e4f5a6b",
"sequenceNumber": 1842,
"timestamp": "2026-11-15T09:30:00.123Z"
}
]